App::Yath::Options::Workspace(3pm)

NAME
App::Yath::Options::Workspace - Options for specifying the yath work dir.

DESCRIPTION
Options regarding the yath working directory.

PROVIDED OPTIONS

  COMMAND OPTIONS
Workspace Options

--clear
-C
--no-clear
    Clear the work directory if it is not already empty

--tmp-dir ARG
--tmp-dir=ARG
--tmpdir ARG
--tmpdir=ARG
-t ARG
-t=ARG
--no-tmp-dir
    Use a specific temp directory (Default: use system temp dir)

    Can also be set with the following environment variables: "T2_HARNESS_TEMP_DIR", "YATH_TEMP_DIR", "TMPDIR", "TEMPDIR", "TMP_DIR", "TEMP_DIR"

--workdir ARG
--workdir=ARG
-w ARG
-w=ARG
--no-workdir
    Set the work directory (Default: new temp directory)

    Can also be set with the following environment variables: "T2_WORKDIR", "YATH_WORKDIR"

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/